Web lists-archives.com

Re: libcurl problem.




On Wednesday 28 November 2018 06:56:26 Roberto C. Sánchez wrote:

> ls -l /etc/alternatives/x-www-browser
/etc/alternatives/x-www-browser -> /usr/bin/opera

Opera? I got tired of its inability to read a news site, and nuked it 
years ago

gene@coyote:/CoCo$ ldd /etc/alternatives/x-www-browser
        linux-vdso.so.1 =>  (0x00007fff0d7bc000)
        libffmpeg.so => not found
        libcurl.so.4 => not found
        libdl.so.2 => /lib64/libdl.so.2 (0x00007feaa46ba000)
        librt.so.1 => /lib64/librt.so.1 (0x00007feaa44b2000)
        libgmodule-2.0.so.0 => not found
        libgobject-2.0.so.0 => not found
        libglib-2.0.so.0 => not found
        libpangocairo-1.0.so.0 => not found
        libpango-1.0.so.0 => not found
        libcairo.so.2 => not found
        libgio-2.0.so.0 => not found
        libnss3.so => /home/gene/bin/firefox/libnss3.so 
(0x00007feaa420b000)
        libnssutil3.so => /home/gene/bin/firefox/libnssutil3.so 
(0x00007feaa3fd7000)
        libsmime3.so => /home/gene/bin/firefox/libsmime3.so 
(0x00007feaa3dac000)
        libnspr4.so => /home/gene/bin/firefox/libnspr4.so 
(0x00007feaa3b6c000)
        libexpat.so.1 => not found
        libfontconfig.so.1 => not found
        libfreetype.so.6 => not found
        libX11.so.6 => not found
        libXcomposite.so.1 => not found
        libXcursor.so.1 => not found
        libXdamage.so.1 => not found
        libXext.so.6 => not found
        libXfixes.so.3 => not found
        libXi.so.6 => not found
        libXrender.so.1 => not found
        libXtst.so.6 => not found
        libXss.so.1 => not found
        libXrandr.so.2 => not found
        libgconf-2.so.4 => not found
        libasound.so.2 => not found
        libdbus-1.so.3 => not found
        libatk-1.0.so.0 => not found
        libm.so.6 => /lib64/libm.so.6 (0x00007feaa38ea000)
        libcups.so.2 => not found
        libpthread.so.0 => /lib64/libpthread.so.0 (0x00007feaa36ce000)
        libnotify.so.4 => not found
        libgdk_pixbuf-2.0.so.0 => not found
        libgtk-x11-2.0.so.0 => not found
        libgdk-x11-2.0.so.0 => not found
        libstdc++.so.6 => /usr/lib64/libstdc++.so.6 (0x00007feaa33c7000)
        libgcc_s.so.1 => /lib64/libgcc_s.so.1 (0x00007feaa31b1000)
        libc.so.6 => /lib64/libc.so.6 (0x00007feaa2e24000)
        /lib64/ld-linux-x86-64.so.2 (0x00007feaa48be000)
        libplc4.so => /home/gene/bin/firefox/libplc4.so 
(0x00007feaa2c1e000)
        libplds4.so => /home/gene/bin/firefox/libplds4.so 
(0x00007feaa2a19000)
gene@coyote:/CoCo$                                                            

Trying to run opera from the cli returns exactly the same libcurl.so.4 
error.

Must be time to update this thing... Grrrrr!

-- 
Cheers, Gene Heskett
--
"There are four boxes to be used in defense of liberty:
 soap, ballot, jury, and ammo. Please use in that order."
-Ed Howdershelt (Author)
Genes Web page <http://geneslinuxbox.net:6309/gene>